using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using Insigma.ProjectQuote.DAL;
using Insigma.ProjectQuote.Model;

namespace Insigma.ProjectQuote.BLL
{
	[DataObject]
    public partial class ProductManager
    {
		[DataObjectMethod(DataObjectMethodType.Insert)]
        public Product Add(Product product)
        {
            return new ProductService().Add(product);
        }

		[DataObjectMethod(DataObjectMethodType.Delete)]
        public int DeleteByID(int iD)
        {
            return new ProductService().DeleteByID(iD);
        }

		[DataObjectMethod(DataObjectMethodType.Update)]
		public int Update(Product product)
        {
            return new ProductService().Update(product);
        }
        

		[DataObjectMethod(DataObjectMethodType.Select)]
        public Product GetByID(int iD)
        {
            return new ProductService().GetByID(iD);
        }
		public int GetTotalCount()
		{
			return new ProductService().GetTotalCount();
		}
		
		[DataObjectMethod(DataObjectMethodType.Select)]
		public IEnumerable<Product> GetPagedData(int minrownum,int maxrownum)
		{
			return new ProductService().GetPagedData(minrownum,maxrownum);
		}
		
		[DataObjectMethod(DataObjectMethodType.Select)]
		public IEnumerable<Product> GetAll()
		{
			return new ProductService().GetAll();
		}
    }
}
