﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Insigma.ProjectQuote.WinUI
{
    public partial class AddOrUpdateProductForm : Form
    {
        private int _Flag = 0;
        private int _ID;
        public AddOrUpdateProductForm()
        {
            InitializeComponent();
        }
        public AddOrUpdateProductForm(int flag,string id)
        {
            InitializeComponent();
            this._Flag = flag;
            this._ID = Convert.ToInt32(id);
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            Model.Product model = new Model.Product();
            model.ProductName = txtProductName.Text;
            model.Manufacturer = txtManufacture.Text;
            model.Specification = txtSpecification.Text;
            model.Parameters = txtParameters.Text;
            model.Price = Convert.ToDecimal(txtPrice.Text);
            model.Unit = txtUnit.Text;
            if (this._Flag==1)
            {
                model.ID = this._ID;
                if ( new BLL.ProductManager().Update(model)>0)
                {
                    this.DialogResult = DialogResult.OK;
                }
            }
            else
            {
               
                model = new BLL.ProductManager().Add(model);
                if (model != null)
                {
                    this.DialogResult = DialogResult.OK;
                }
            }
        }

        private void AddAndModifyForm_Load(object sender, EventArgs e)
        {
            if (this._Flag==1)//修改
            {
                var model=new BLL.ProductManager().GetByID(this._ID);
                txtManufacture.Text = model.Manufacturer;
                txtParameters.Text = model.Parameters;
                txtPrice.Text = model.Price.ToString();
                txtProductName.Text = model.ProductName;
                txtSpecification.Text = model.Specification;
                txtUnit.Text = model.Unit;
                this.Text = "修改";
                
            }
        }
    }
}
