﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Insigma.ProjectQuote.WinUI
{
    public partial class SearchProductForm : Form
    {
        public SearchProductForm()
        {
            InitializeComponent();
        }
        private void SearchProduct()
        { 
            //ProductBLL bll=new  ProductBLL();
            //DataSet ds=bll.GetProducts(txtCondition.Text);
            //dataGridViewProductList.DataSource=ds.Table[0].DefaultView;
            dgvProductList.DataSource = new BLL.ProductManager().GetProductsByCondition(txtCondition.Text);

        }

        private void txtCondition_TextChanged(object sender, EventArgs e)
        {
            //文本发生改变时触发该事件
           //应该是光标离开时吗？不是，只要文本改变就可以
            SearchProduct();
        }

        private void btnSelect_Click(object sender, EventArgs e)
        {
            SelectProduct();
        }

        public int SelectedProductID = -1;//选中产品ID
        public void SelectProduct()
        {
            if (dgvProductList.SelectedRows.Count > 0)
            {
                string sid = dgvProductList.SelectedRows[0].Cells["idColumn"].Value.ToString();
                SelectedProductID = int.Parse(sid);
            }
            else
            {
                MessageBox.Show("请选择一个产品");
                this.DialogResult = DialogResult.None;//不Return还是会执行下去的
            }
        }
        private void SearchProductForm_Load(object sender, EventArgs e)
        {
            SearchProduct();
        }
    }
}
