using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using Insigma.ProjectQuote.DAL;
using Insigma.ProjectQuote.Model;

namespace Insigma.ProjectQuote.BLL
{
	[DataObject]
    public partial class ProjectItemManager
    {
		[DataObjectMethod(DataObjectMethodType.Insert)]
        public ProjectItem Add(ProjectItem projectItem)
        {
            return new ProjectItemService().Add(projectItem);
        }

		[DataObjectMethod(DataObjectMethodType.Delete)]
        public int DeleteByID(int iD)
        {
            return new ProjectItemService().DeleteByID(iD);
        }

		[DataObjectMethod(DataObjectMethodType.Update)]
		public int Update(ProjectItem projectItem)
        {
            return new ProjectItemService().Update(projectItem);
        }
        

		[DataObjectMethod(DataObjectMethodType.Select)]
        public ProjectItem GetByID(int iD)
        {
            return new ProjectItemService().GetByID(iD);
        }
		public int GetTotalCount()
		{
			return new ProjectItemService().GetTotalCount();
		}
		
		[DataObjectMethod(DataObjectMethodType.Select)]
		public IEnumerable<ProjectItem> GetPagedData(int minrownum,int maxrownum)
		{
			return new ProjectItemService().GetPagedData(minrownum,maxrownum);
		}
		
		[DataObjectMethod(DataObjectMethodType.Select)]
		public IEnumerable<ProjectItem> GetAll()
		{
			return new ProjectItemService().GetAll();
		}
    }
}
