using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using Insigma.ProjectQuote.DAL;
using Insigma.ProjectQuote.Model;

namespace Insigma.ProjectQuote.BLL
{
	[DataObject]
    public partial class ProjectManager
    {
		[DataObjectMethod(DataObjectMethodType.Insert)]
        public Project Add(Project project)
        {
            return new ProjectService().Add(project);
        }

		[DataObjectMethod(DataObjectMethodType.Delete)]
        public int DeleteByID(int iD)
        {
            return new ProjectService().DeleteByID(iD);
        }

		[DataObjectMethod(DataObjectMethodType.Update)]
		public int Update(Project project)
        {
            return new ProjectService().Update(project);
        }
        

		[DataObjectMethod(DataObjectMethodType.Select)]
        public Project GetByID(int iD)
        {
            return new ProjectService().GetByID(iD);
        }
		public int GetTotalCount()
		{
			return new ProjectService().GetTotalCount();
		}
		
		[DataObjectMethod(DataObjectMethodType.Select)]
		public IEnumerable<Project> GetPagedData(int minrownum,int maxrownum)
		{
			return new ProjectService().GetPagedData(minrownum,maxrownum);
		}
		
		[DataObjectMethod(DataObjectMethodType.Select)]
		public IEnumerable<Project> GetAll()
		{
			return new ProjectService().GetAll();
		}
    }
}
