﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Insigma.ProjectQuote.WinUI
{
    public partial class AddProjectForm : Form
    {
        public int _ID;
        private int _Flag;
        public AddProjectForm()
        {
            InitializeComponent();
        }
        //这是修改的--暂且不用
        public AddProjectForm(int id,int flag)
        {
            InitializeComponent();
            this._ID = id;
            this._Flag = flag;
        }
        private void btnOK_Click(object sender, EventArgs e)
        {
            
            //========================================
            
            //去BLL封装吗-->直接在UI封装-->传Model原则
            Model.Project model = new Model.Project();
            model.Bak = txtBak.Text;
            model.Contact = txtContact.Text;
            model.Customer = txtCustomer.Text;
            model.DeliveryPlace = txtDeliveryPlace.Text;
            model.DeliveryTime = dtpRecevier.Value.ToString();
            model.PaymentTerm = txtPaymentTerm.Text;
            model.ProjectName = txtProjectName.Text;
            model.Tel = txtTel.Text;
            decimal dtransportCosts = 0.0M;
            try
            {
                dtransportCosts = int.Parse(txtTransportCosts.Text);
                model.TransportCosts = dtransportCosts;
            }
            catch
            {
                throw new Exception("运输费用格式错误");
            }
            if (this._Flag==1)//修改
            {
                model.ID = this._ID;
                if (new BLL.ProjectManager().Update(model)>0)
                {
                    this.DialogResult = DialogResult.OK;
                }
            }
            else
            {
                try
                {
                    model = new BLL.ProjectManager().AddPassCheckd(model);
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                    return;
                }

                if (model!=null)
                {
                    this._ID = model.ID;
                    this.DialogResult = DialogResult.OK;
                }
                else
                {
                    MessageBox.Show("保存失败");
                    this.DialogResult = DialogResult.None;
                }
            }
        }

        private void AddOrModifyProjectForm_Load(object sender, EventArgs e)
        {
            if (this._Flag==1)//修改
            {
                this.Text = "修改";
                var model = new BLL.ProjectManager().GetByID(this._ID);
                txtBak.Text = model.Bak;
                txtContact.Text = model.Contact;
                txtCustomer.Text = model.Customer;
                txtDeliveryPlace.Text = model.DeliveryPlace;
                txtPaymentTerm.Text = model.PaymentTerm;
                txtProjectName.Text = model.ProjectName;
                txtTel.Text = model.Tel;
                txtTransportCosts.Text = model.TransportCosts.ToString();
                dtpRecevier.Value = Convert.ToDateTime(model.DeliveryTime);
            }
        }
    }
}
