﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Insigma.ProjectQuote.WinUI
{
    public partial class AddProjectItemForm : Form
    {
        public AddProjectItemForm()
        {
            InitializeComponent();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            Model.ProjectItem model = new Model.ProjectItem();
            Model.Product modelProduct = new Model.Product();
            model._Project = new Model.Project();
            model._Product = modelProduct;
            model._Product.ID = this.ProductID;
            model._Project.ID = this.ProjectID;
            //model._Product.Manufacturer = labManufacturer.Text;
            //model._Product.Parameters = labParameters.Text;
            //model._Product.ProductName = txtProductName.Text;
            //model._Product.Unit = labUnit.Text;
            try 
	        {	        
		        model.UnitPrice=decimal.Parse(txtPrice.Text);
	        }
	        catch 
	        {
		        MessageBox.Show("请输入合法数值");
		        return;
	        }
            model._Product.Specification = labSpecification.Text;
            try
            {
                model.Count=int.Parse(txtUnitCount.Text);
            }
            catch 
            {
                MessageBox.Show("请输入合法的数量");
                return;
            }
            model.TotalMoney = model.Count * model.UnitPrice;
            if (new BLL.ProjectItemManager().AddProjectItem(model)!=null)//可以在BLL
            {
                //MessageBox.Show("插入成功");
            }
            ////ProjectItemBLL bll = new ProjectItemBLL();
            //try
            //{
            //    if (bll.AddProjectForm(ProjectID,))
            //    {
                    
            //    }
            //}
            //catch (Exception)
            //{
                
            //    throw;
            //}
        }

        public int ProductID = -1;
        public int ProjectID = -1;
        private void btnSelect_Click(object sender, EventArgs e)
        {
            SearchProductForm searchProductForm = new SearchProductForm();
            if (searchProductForm.ShowDialog()==DialogResult.OK)
            {
                ProductID = searchProductForm.SelectedProductID;
                var model = new BLL.ProductManager().GetByID(ProductID);
                txtPrice.Text = model.Price.ToString();
                txtProductName.Text = model.ProductName;
                labManufacturer.Text = model.Manufacturer;
                labParameters.Text = model.Parameters;
                labSpecification.Text = model.Specification;
                labUnit.Text = model.Unit;
                
                //新增项目产品
                //ProductBLL bll=new ProductBLL();
                //DataRow oneProduct = BLL.getoneProduct(productID);
                //txtProductName.Text = oneProduct["ProductName"].toString();
                //txtProductName.Text = oneProduct["Manufacturer"].toString();
                //txtProductName.Text = oneProduct["Parameters"].toString();
                //txtProductName.Text = oneProduct["Specification"].toString();
                //txtProductName.Text = oneProduct["Unit"].toString();
                //txtProductName.Text = oneProduct["Price"].toString();

            }
        }

    }
}
