﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Insigma.ProjectQuote.WinUI
{
    public partial class FormMain : Form
    {
        public FormMain()
        {
            InitializeComponent();
        }
        ProjectListForm projectListForm;
        ProductListForm productListForm;
        public void LoadProjectListForm()
        {
            projectListForm = null;
            if (projectListForm==null)
            {
                projectListForm = new ProjectListForm();
            }
            //去掉边框
            projectListForm.FormBorderStyle = FormBorderStyle.None;
            projectListForm.TopLevel = false;//窗体是否是顶级窗体 不能将顶级窗口放在主窗体内 改为True测试一下
            projectListForm.Dock = DockStyle.Fill;//注销试试看 主窗体变化 字窗体不会变
            projectListForm.Show();//不写就像是现实不出来 没的话看不出东西 //按钮不用show吧
            panelContainer.Controls.Clear();//清空
            panelContainer.Controls.Add(projectListForm);
        }

        public void LoadProductListForm()
        {
            if (productListForm==null)
            {
                productListForm = new ProductListForm();
            }
            productListForm.FormBorderStyle = FormBorderStyle.None;
            productListForm.TopLevel = false;
            productListForm.Dock = DockStyle.Fill;
            productListForm.Show();
            panelContainer.Controls.Clear();
            panelContainer.Controls.Add(productListForm);
        }
        
        private void toolStripButton1_Click(object sender, EventArgs e)
        {
           LoadProjectListForm();
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            LoadProductListForm();
        }
    }
}
