﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Insigma.ProjectQuote.WinUI
{
    public partial class ProductListForm : Form
    {
        public ProductListForm()
        {
            InitializeComponent();
        }

        private void ProductListForm_Load(object sender, EventArgs e)
        {
            Bind();
        }
        private void Bind()
        {
            dgvProductList.DataSource=new BLL.ProductManager().GetAll();
        }

        private void btnSearch_Click(object sender, EventArgs e)
        {
            ///单价查询补上 记得Try--Catch
            //dgvProductList.DataSource=new BLL.ProductManager().GetProductByCondition(txtProductName.Text, txtManufacture.Text, txtSpecification.Text, txtParameter.Text);
        }
        /// <summary>
        /// 新增产品
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            AddOrUpdateProductForm frm=new AddOrUpdateProductForm ();
            if (frm.ShowDialog()==DialogResult.OK)
            {
                MessageBox.Show("添加成功:)","提示",MessageBoxButtons.OK,MessageBoxIcon.Information);
                Bind();
            }
        }
        /// <summary>
        ///修改产品
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            string id = dgvProductList[0, dgvProductList.CurrentRow.Index].Value.ToString();
            AddOrUpdateProductForm frm = new AddOrUpdateProductForm(1,id);
            if (frm.ShowDialog() == DialogResult.OK)
            {
                MessageBox.Show("修改成功:)", "提示", MessageBoxButtons.OK, MessageBoxIcon.Information);
                Bind();
            }
        }
    }
}
